rm(list=ls(all=TRUE))
require(compositions)

## PREPARANDO OS DADOS PARA ANALISE: Silte obtido pelo complementar
##
## Lendo os dados
dados <- read.table('DadosGener1Mod.txt',head=TRUE)
dados

## criando uma coluna cujos valores sao a soma das colunas AMG,AM,
## AF e AMF e uma coluna cujos valores correspondem ao complementar
## da soma dos 4 tipos de Areias e Argila.
dadosC <-with(dados,matrix(c(X,Y,Areia=(AMG+AM+AF+AMF),
                             SilteC=(100-AMG-AM-AF-AMF-Argila),Silte,Argila,
                             Altimetria,Superficie),nrow=412))
dadosC
head(dadosC)

## transformando em data.frame. Observa-se que a diferenca maxima
## e igual a 2.
dadosC <- as.data.frame(dadosC)
names(dadosC) <- c('X','Y','Areia','SilteC','Silte','Argila',
                   'Altimetria','Superficie')
# dadosC
head(dadosC)
# calculando a maxima diferenca
max(dadosC$SilteC-dadosC$Silte)

## acrescentando duas colunas que sao a soma dos componentes Areia,
## Silte e Argila das 412 composicoes (ultima coluna) e a soma
## destes 3 componentes mas considerando-se Silte como resultado do
## complementar Areia e Argila. A diferenca maxima e igual a 2.
dadosC <-with(dadosC,matrix(c(X,Y,Areia,SilteC,Silte,Argila,Altimetria,Superficie,Areia+SilteC+Argila,Areia+Silte+Argila),nrow=412))
dadosC
head(dadosC)

## transformando em data.frame
dadosC<- as.data.frame(dadosC)
names(dadosC) <- c('X','Y','Areia','SilteC','Silte','Argila','Alti.','Sup.','SomaC','Soma')
dadosC
head(dadosC)

## montando um novo arquivo somente com os dados composicionais
## colunas  Areia, SilteC e Argila.
dadosCom <-with(dadosC,matrix(c(Areia,SilteC,Argila),nrow=412))
dadosCom
head(dadosCom)

## transformando em data.frame
dados <- as.data.frame(dadosCom)
names(dados) <- c('Areia','Silte','Argila')
head(dados)


## INICIANDO ANLISE COMPOSICIONAL

## classe acomp: as quantidades individuais so parte de um todo
## e os dados so analizados na geometria relativa.
comp <- acomp(dados)
comp
names(comp) <- c("Areia", "Silte", "Argila")
comp

## construindo um diagrama ternrio
par(mar=c(5,0.5,0,0.5),mgp=c(2,0.8,0))
plot(comp)

## vendo os dados como quantidades
quant <- aplus(dados)
names(quant) <- c("Areia", "Silte", "Argila")
head(quant)

## construindo uma matriz de diagramas de disperso
plot(quant)

## incluindo a mdia geomtrica e a regio 2 e 4-sigma no diagrama ternrio
plot(comp)
plot(mean(comp),add=T,pch=20,col='red')
ellipses(mean(comp),var(comp),col='red',r=2)
ellipses(mean(comp),var(comp),col='red',r=4)

## centro da distribuio
mean(comp)

## varincia na estrutura CLR do espao euclidiano
var(comp)

## varincia mtrica - trao da matriz CLR
mvar(comp)

## desvio padro mtrico - sqrt(mvar/(D-1))
msd(comp)

## obtendo o desvio padro clssico
sd(comp)

## matriz variao
variation(comp)

## montando um vetor de 1
x <- c(1,1,1)
x
is.vector(x)

## calculando o transposto
xt<-t(x)
xt

## e ento obtemos a varincia total:
varTot <- mvar(comp)-(1/3)*(xt%*%var(comp)%*%x)
varTot


##########################
rm(list=ls(all=TRUE))
require(compositions)

## PREPARANDO OS DADOS PARA ANALISE: Areia obtida pelo complementar
##
## Lendo os dados
dados <- read.table('DadosGener1Mod.txt',head=TRUE)
dados

## criando uma coluna cujos valores sao a soma das colunas AMG,AM,AF e  AMF
## e uma coluna cujos valores correspondem ao complementar da soma Silte mais
## Argila. Observa-se que a diferenca maxima e igual a 0.4.
dadosC <-with(dados,matrix(c(X,Y,Sareia=(AMG+AM+AF+AMF),
                             Dareia=(100-Silte-Argila),Silte,Argila,
                             Altimetria,Superficie),nrow=412))
dadosC
head(dadosC)

## transformando em data.frame
dadosC <- as.data.frame(dadosC)
names(dadosC) <- c('X','Y','Sareia','Dareia','Silte','Argila',
                   'Altimetria','Superficie')
dadosC
head(dadosC)

## acrescentando duas colunas que sao a soma dos componentes das 412
## composicoes considerando-se a areia como resultado da soma dos 4
## tipos de areia e considerando-se a Areia como resultado do complementar
## de Silte e Argila. A diferenca maxima e de 2.
dadosC <-with(dadosC,matrix(c(X,Y,Sareia,Dareia,Silte,Argila,Altimetria,Superficie,Sareia+Silte+Argila,Dareia+Silte+Argila),nrow=412))
dadosC
head(dadosC)

## transformando em data.frame
dadosC<- as.data.frame(dadosC)
names(dadosC) <- c('X','Y','Sareia','Dareia','Silte','Argila','Alti.','Sup.','SomaS','SomaD')
dadosC
head(dadosC)

## montando um novo arquivo somente com os dados composicionais
## colunas Dareia, Silte e Argila.
dadosCom <-with(dadosC,matrix(c(Dareia,Silte,Argila),nrow=412))
dadosCom
head(dadosCom)

## transformando dadosCom em data.frame
dados <- as.data.frame(dadosCom)
names(dados) <- c('Areia','Silte','Argila')
head(dados)

## INICIANDO ANLISE COMPOSICIONAL

## classe acomp: as quantidades individuais so parte de um todo
## e os dados so analizados na geometria relativa.
comp <- acomp(dados)
comp
names(comp) <- c("Areia", "Silte", "Argila")
comp

## construindo um diagrama ternrio
par(mar=c(5,0.5,0,0.5),mgp=c(2,0.8,0))
plot(comp)

## vendo os dados como quantidades
quant <- aplus(dados)
names(quant) <- c("Areia", "Silte", "Argila")
head(quant)

## construindo uma matriz de diagramas de disperso
plot(quant)

## incluindo a mdia geomtrica e a regio 2 e 4-sigma no diagrama ternrio
plot(comp)
plot(mean(comp),add=T,pch=20,col='red')
ellipses(mean(comp),var(comp),col='red',r=2)
ellipses(mean(comp),var(comp),col='red',r=4)

## centro da distribuio
mean(comp)

## varincia na estrutura CLR do espao euclidiano
var(comp)

## varincia mtrica - trao da matriz CLR
mvar(comp)

## desvio padro mtrico - sqrt(mvar/(D-1))
msd(comp)

## obtendo o desvio padro clssico
sd(comp)

## matriz variao
variation(comp)

## montando um vetor de 1
x <- c(1,1,1)
x
is.vector(x)

## calculando o transposto
xt<-t(x)
xt

## e ento obtemos a varincia total:
varTot <- mvar(comp)-(1/3)*(xt%*%var(comp)%*%x)
varTot


